"use strict";
module.exports = function (RED) {
    function NodeConstructorMikrotikDevice(def) {
        RED.nodes.createNode(this, def);
        this.host = def.host;
        this.port = def.port;
        this.ssl = def.ssl;
        if ((!this.credentials) || (!this.credentials.secusername)) {
            // take care the even non "converted" credentials that
            // are still unsafe stored, can be used.
            this.credentials = {
                secusername: def.username,
                secpassword: def.password
            };
        }
    }
    RED.nodes.registerType("mikrotik-device", NodeConstructorMikrotikDevice, {
        credentials: {
            secusername: { type: "text" },
            secpassword: { type: "password" }
        }
    });
};
